## DzlPreferencesView

DzlPreferencesView

## Functions

GtkWidget * | dzl_preferences_view_new ()
void | dzl_preferences_view_reapply_filter ()
gboolean | dzl_preferences_view_get_use_sidebar ()
void | dzl_preferences_view_set_use_sidebar ()
gboolean | dzl_preferences_view_get_show_search_entry ()
void | dzl_preferences_view_set_show_search_entry ()

## Properties

gboolean | show-search-entry | Read / Write
gboolean | use-sidebar | Read / Write

## Types and Values

#define | DZL_TYPE_PREFERENCES_VIEW
struct | DzlPreferencesViewClass
| DzlPreferencesView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesView

## Implemented Interfaces

DzlPreferencesView implements AtkImplementorIface, GtkBuildable and DzlPreferences.

## Description

## Functions

### dzl_preferences_view_new ()

    GtkWidget *
    dzl_preferences_view_new (void);

### dzl_preferences_view_reapply_filter ()

    void
    dzl_preferences_view_reapply_filter (DzlPreferencesView *self);

### dzl_preferences_view_get_use_sidebar ()

    gboolean
    dzl_preferences_view_get_use_sidebar (DzlPreferencesView *self);

### dzl_preferences_view_set_use_sidebar ()

    void
    dzl_preferences_view_set_use_sidebar (DzlPreferencesView *self,
                                          gboolean use_sidebar);

### dzl_preferences_view_get_show_search_entry ()

    gboolean
    dzl_preferences_view_get_show_search_entry
                                   (DzlPreferencesView *self);

### dzl_preferences_view_set_show_search_entry ()

    void
    dzl_preferences_view_set_show_search_entry
                                   (DzlPreferencesView *self,
                                    gboolean show_search_entry);

## Types and Values

### DZL_TYPE_PREFERENCES_VIEW

    #define DZL_TYPE_PREFERENCES_VIEW (dzl_preferences_view_get_type())

### struct DzlPreferencesViewClass

    struct DzlPreferencesViewClass {
      GtkBinClass parent_class;
    };

### DzlPreferencesView

    typedef struct _DzlPreferencesView DzlPreferencesView;

## Property Details

### The `“show-search-entry”` property

      “show-search-entry”        gboolean

Show SearchEntry in the sidebar.

Owner: DzlPreferencesView

Flags: Read / Write

Default value: FALSE

### The `“use-sidebar”` property

      “use-sidebar”              gboolean

Use Sidebar.

Owner: DzlPreferencesView

Flags: Read / Write

Default value: FALSE